/*
 Theme Name:   Hello Five Creative
 Theme URI:    https://fivecreative.com.au/
 Description:  A child theme of Hello Biz.
 Author:       Five Creative
 Author URI:   https://fivecreative.com.au/
 Template:     hello-biz
 Version:      1.0.0
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  hello-biz-child
*/

/* You can add your custom CSS below */

:root {
    /* 
     * --content is used to set content width for header and footer containers
     * this value represents the content width + padding applied to 
     * the header and footer containers. 
    */
    --content: 1352px;
}

html {
    font-size: 10px;
}
@media screen and (min-width: 767px) {
    html {
        font-size: 14px;
    }
}
@media screen and (min-width: 992px) {
    html {
        font-size: 16px;
    }
}

body {
    -webkit-font-smoothing: antialiased !important;
    -moz-osx-font-smoothing: grayscale !important;
}

/* Elementor fixes/QoL improvements */
/* // add to text widget to remove padding on last p element */
.p-mb-0 p:last-child {
    margin-bottom: 0;
}
/* // Mobile menu styles */
@media screen and (max-width: 991px) {
    .elementor-nav-menu--dropdown .has-submenu {
        justify-content: space-between;
    }
    .elementor-nav-menu--dropdown .sub-arrow {
        padding-inline-end: 10px !important;
        margin-right: -10px;
    }
    .elementor-nav-menu--dropdown a.highlighted .sub-arrow {
        transform: rotate(180deg);
        transform-origin: center;
    }
    /* ul.elementor-nav-menu--dropdown {
        background-color: var( --e-global-color-6d65bc0 ) !important;
    } */
    ul.elementor-nav-menu--dropdown a {
        border-inline-start: 0 !important;
        font-size: 20px !important; /* Assumed 24px starting size */
    }
    /* ul.elementor-nav-menu--dropdown a.highlighted,
    ul.elementor-nav-menu--dropdown a:hover {
        background-color: var( --e-global-color-primary ) !important;
    } */
    /* ul.elementor-nav-menu--dropdown ul {
        background-color: var( --e-global-color-primary ) !important;
    } */
    /* ul.elementor-nav-menu--dropdown ul a.highlighted,
    ul.elementor-nav-menu--dropdown ul a:hover {
        background-color: var( --e-global-color-6d65bc0 ) !important;
    } */
}

.elementor-nav-menu ul ul a, 
.elementor-nav-menu ul ul a:active, 
.elementor-nav-menu ul ul a:focus, 
.elementor-nav-menu ul ul a:hover {
    border-left: none !important;
}

.reset-list,
.reset-list ul,
.reset-list ol {
    list-style: none;
    margin: 0;
    padding: 0;
}

/* Dynamic.ooo helpers */
/* // add to Dynamic.ooo repeater widget when using grid layout to force all tiles to be the same height */
.equal-height-repeater {
    .dce-acf-repeater-item {
        & > div[data-elementor-type="section"] {
            height: 100%;
            & > div[data-element_type="container"] {
                height: 100%;
            }
        }
    }
}
/* // add to Dynamic.ooo repeater widget when using slider layout to force all slides to be the same height */
.equal-height-repeater-slider {
    .swiper-wrapper {
        align-items: stretch;
        .swiper-slide {
            height: auto;
        }
    }
}

/* // Social Icon shortcode styles */
.social-icons svg {
    transition: all 0.3s;
}
.social-icons {
    display: flex;
}
.social-icons .social-icon {
    width: 32px;
    height: 32px;
}
.social-icons .social-icon svg {
    width: 100%;
    height: auto;
    display: block;
}